### Function

# Gimp text_layer_resize

#### Declaration [src]

    gboolean
    gimp_text_layer_resize (
      GimpLayer* layer,
      gdouble width,
      gdouble height
    )

#### Description [src]

Resize the box of a text layer.

This procedure changes the width and height of a text layer while keeping it as a text layer and not converting it to a bitmap like `gimp_layer_resize()` would do.

Available since: | 2.8

#### Parameters

`layer` | `GimpLayer`
| The text layer.
| The data is owned by the caller of the function.
`width` | `gdouble`
| The new box width in pixels.
`height` | `gdouble`
| The new box height in pixels.

#### Return value

Returns: | `gboolean`
| TRUE on success.